Bug 118552 - mount: blah failed, security flavor not supported
mount: blah failed, security flavor not supported
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-17 12:49 EST by Ben Levenson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: util-linux-2.12-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-21 19:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2004-03-17 12:49:36 EST
Description of problem:
received the security flavor error message while trying to
mount an nfs export from a netapp.

mounting a local nfs export works as expected.
mounting a remote nfs export from a 7.3 system works as expected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mount server:/dir /mnt/tmp
2. mount: server:/dir failed, security flavor not supported
   (error occurs with enforcing on and off)
3. mount localhost:/dir /mnt/tmp
4. works as expected
Comment 1 Ben Levenson 2004-03-17 12:54:42 EST
additional info: this last worked in util-linux-2.12-4.
Comment 2 Steve Dickson 2004-03-18 13:13:10 EST
Which kernel and util-linux are you using?

kernel-2.6.3-2.1.214 and util-linux-2.12-13 seem to work fine...
Comment 3 Ben Levenson 2004-03-18 13:26:06 EST
kernel-2.6.3- & util-linux-2.12-13
Comment 4 Steve Dickson 2004-03-18 14:59:44 EST
Using a x86_64 machine with the kernel-2.6.3- and 
the util-linux-2.12-13 rpm (basically a fresh install of fc2)
I'm still unable to reproduce this error....

Would it be possible to get an ethereal trace of this?
That way we can tell if the server is failing the mount
or if failure on the client...

Also could you try mounting a volume on toaster.boston,
since that's the Netapps filer I'm using...

Comment 5 Ben Levenson 2004-03-18 18:33:10 EST
I'm not having any problems mounting toaster, but I can't mount curly.
Comment 6 Steve Dickson 2004-03-19 08:29:43 EST
We have recently upgraded toaster to Ontap 6.5R1. So its possible
we are running into a known Netapp bug. 

If the network trace shows curly is failing the mount and 
toaster is not then it could be assume its a bug your version
of Ontap. 

But... if the trace shows no failures, then the problem is
most likely on our end.
Comment 7 Ben Levenson 2004-03-19 18:13:51 EST
mount -o nfsvers=2  curly...  <-- works w/ nfsvers=2 option.

Note You need to log in before you can comment on or make changes to this bug.